import request from '@/utils/request'
const service_name = "oil-identity"
const group_name = "weChatAuthorization"
const Wchat_id = 'wx7a939c19b270cc3d'
export default {
  autoLogin (data,url) {
     return request({
       url: `/${service_name}/${group_name}/${url}`,
       method: 'post',
	   data:data
     })
   },
   wechatLogin(data) { //卡力小程序跳转登录
      return request({
        url: `/${service_name}/${group_name}/wechatLogin`,
        method: 'post',
   	   data:data
      })
    },
   sendCode (code) {
      return request({
        url: `/${service_name}/${group_name}/sendCode`,
        method: 'post',
   	   data:{
   		   code:code,
		   appId:Wchat_id
   	   }
      })
    },
	bindLoginByPhone (data,url) {
	   return request({
	     url: `/${service_name}/${group_name}/${url}`,
	     method: 'post',
	     data:data
	   })
	 },

	decryptPhoneNumber (data) {
	   return request({
	     url: `/${service_name}/${group_name}/decryptWeChatPhoneData`,
	     method: 'post',
	     data:data
	   })
	 },
	 getPhone (data) {
	    return request({
	      url: `/${service_name}/releaseXingYou/encryptedweChatPhone`,
	      method: 'post',
	      data:{
			  ...data,
			  appId:Wchat_id
		  }
	    })
	  }
	
	
}
